tigase.jaxmpp.core.client.xmpp.modules.muc

## Class MucModule.MessageErrorHandler.MessageErrorEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<MucModule.MessageErrorHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.muc.MucModule.MessageErrorHandler.MessageErrorEvent

- Enclosing interface:
    MucModule.MessageErrorHandler

      public static class MucModule.MessageErrorHandler.MessageErrorEvent
      extends JaxmppEvent<MucModule.MessageErrorHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageErrorEvent(SessionObject sessionObject, Message message, Room room, String nickname, Date delayTime)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(MucModule.MessageErrorHandler handler)` Invokes handlers method.
    `Message` | `getMessage()`
    `String` | `getNickname()`
    `Room` | `getRoom()`
    `Date` | `getTimestamp()`
    `void` | `setMessage(Message message)`
    `void` | `setNickname(String nickname)`
    `void` | `setRoom(Room room)`
    `void` | `setTimestamp(Date timestamp)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageErrorEvent

          public MessageErrorEvent(SessionObject sessionObject,
                                   Message message,
                                   Room room,
                                   String nickname,
                                   Date delayTime)

  - ### Method Detail

    - #### dispatch

          public void dispatch(MucModule.MessageErrorHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<MucModule.MessageErrorHandler>`
      Parameters:
        `handler` - handler

    - #### getMessage

          public Message getMessage()

    - #### setMessage

          public void setMessage(Message message)

    - #### getNickname

          public String getNickname()

    - #### setNickname

          public void setNickname(String nickname)

    - #### getRoom

          public Room getRoom()

    - #### setRoom

          public void setRoom(Room room)

    - #### getTimestamp

          public Date getTimestamp()

    - #### setTimestamp

          public void setTimestamp(Date timestamp)

Copyright © 2006–2020 Tigase. All rights reserved.